Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc.dom
Class DOMToBeEncryptedXML

    java.lang.Object
      javax.xml.crypto.enc.dom.DOMToBeEncryptedXML

All Implemented Interfaces:
  ToBeEncrypted, ToBeEncryptedXML

    public class DOMToBeEncryptedXML

extends java.lang.Object
implements ToBeEncryptedXML

A representation of the ToBeEncryptedXML class which contains a XML Element or content of an Element

Constructor Summary
`DOMToBeEncryptedXML(org.w3c.dom.Element element, CanonicalizationMethod canonMethod)` Creates a new DOMToBeEncryptedXML
`DOMToBeEncryptedXML(org.w3c.dom.NodeList content, CanonicalizationMethod canonMethod)` Creates a new DOMToBeEncryptedXML

Method Summary
`CanonicalizationMethod` | `getCanonicalizationMethod()` Returns the canonicalization method
`java.lang.String` | `getEncoding()` Returns a URI identifying the transfer encoding of the data that has been encrypted.
`java.lang.String` | `getMimeType()` Returns the mime type of the data that has been encrypted.
`org.w3c.dom.NodeList` | `getNodeList()` Returns the XML to be encrypted.
`java.lang.String` | `getType()` Returns a URI identifying the type of the plaintext form of the encrypted content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMToBeEncryptedXML

    public DOMToBeEncryptedXML(org.w3c.dom.Element element,
                               CanonicalizationMethod canonMethod)

  Creates a new DOMToBeEncryptedXML

  Parameters:
    `element` - the Element to be encrypted
    `canonMethod` - the optional serialization method (may be `null`)
  Throws:
    `java.lang.NullPointerException` - if `element` is null

### DOMToBeEncryptedXML

    public DOMToBeEncryptedXML(org.w3c.dom.NodeList content,
                               CanonicalizationMethod canonMethod)

  Creates a new DOMToBeEncryptedXML

  Parameters:
    `content` - the content of an Element to be encrypted
    `canonMethod` - the optional serialization method (may be `null`)
  Throws:
    `java.lang.NullPointerException` - if `content` is null

Method Detail

### getNodeList

    public org.w3c.dom.NodeList getNodeList()

  Returns the XML to be encrypted. The XML is returned as a `NodeList`. For to-be-encrypted XML that is of the 'element' type, the to-be-encrypted element is returned as the first item in the returning `NodeList`.

  Returns:
    the XML to be encrypted.

### getType

    public java.lang.String getType()

  Returns a URI identifying the type of the plaintext form of the encrypted content.

  Specified by:
    `getType` in interface `ToBeEncrypted`
  Specified by:
    `getType` in interface `ToBeEncryptedXML`
  Returns:
    the type

### getMimeType

    public java.lang.String getMimeType()

  Returns the mime type of the data that has been encrypted.

  Specified by:
    `getMimeType` in interface `ToBeEncrypted`
  Specified by:
    `getMimeType` in interface `ToBeEncryptedXML`
  Returns:
    the mime type, or `null` if not specified

### getEncoding

    public java.lang.String getEncoding()

  Returns a URI identifying the transfer encoding of the data that has been encrypted.

  Specified by:
    `getEncoding` in interface `ToBeEncrypted`
  Specified by:
    `getEncoding` in interface `ToBeEncryptedXML`
  Returns:
    the encoding, or `null` if not specified

### getCanonicalizationMethod

    public CanonicalizationMethod getCanonicalizationMethod()

  Description copied from interface: `ToBeEncryptedXML`
  Returns the canonicalization method

  Specified by:
    `getCanonicalizationMethod` in interface `ToBeEncryptedXML`
  Returns:
    the canonicalization method. `null` if not specified

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org